Last Comment Bug 695458 - Android Prefs
: Android Prefs
Status: VERIFIED FIXED
[birch] [ux needed] [Product Approved
: feature
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Brian Nicholson (:bnicholson)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on: 694688
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 12:48 PDT by Erin Lancaster [:elan]
Modified: 2016-07-29 14:20 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
adds most prefs from XUL fennec (16.08 KB, patch)
2011-10-24 16:24 PDT, Brian Nicholson (:bnicholson)
mark.finkle: review+
Details | Diff | Splinter Review
rebased and added mfinkle's fixes (16.16 KB, patch)
2011-10-25 14:22 PDT, Brian Nicholson (:bnicholson)
no flags Details | Diff | Splinter Review
fixes crash from last patch (1.08 KB, patch)
2011-10-25 15:08 PDT, Brian Nicholson (:bnicholson)
mark.finkle: review+
Details | Diff | Splinter Review

Description Erin Lancaster [:elan] 2011-10-18 12:48:02 PDT
Text Size

    Default zoom (on page load)

    Open Pages in overview

    Text encoding 

    Block popups

    landscape-only 

    home page

    privacy settings

    enable geolocation

    remember passwords
Comment 1 Brian Nicholson (:bnicholson) 2011-10-24 16:24:03 PDT
Created attachment 569222 [details] [diff] [review]
adds most prefs from XUL fennec

patch requires patch from bug 694688
Comment 2 Brian Nicholson (:bnicholson) 2011-10-24 16:34:34 PDT
Although the homepage can be set in the prefs UI, the browser doesn't actually honor the browser.startup.homepage preference. See bug 696950.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 10:16:49 PDT
Comment on attachment 569222 [details] [diff] [review]
adds most prefs from XUL fennec

>diff --git a/mobile/chrome/content/browser.js b/mobile/chrome/content/browser.js

>   getPreferences: function getPreferences(aPrefNames) {

>+        switch (prefName) {
>+          case "network.cookie.cookieBehavior":

Add a comment above the switch so we know you are doing specific tweaks to specific preferences. I wonder if there is a better way to handle these. Maybe there isn't. In a XUL app, some of this tweaking would be in the XUL UI code.

>   setPreferences: function setPreferences(aPref) {

>+    switch (json.name) {
>+      case "network.cookie.cookieBehavior":

Same kind of comment here
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 10:17:10 PDT
r+ with nits fixed
Comment 5 Brian Nicholson (:bnicholson) 2011-10-25 14:22:30 PDT
Created attachment 569506 [details] [diff] [review]
rebased and added mfinkle's fixes
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 14:41:01 PDT
https://hg.mozilla.org/projects/birch/rev/2f77b085a9d0
Comment 7 Brian Nicholson (:bnicholson) 2011-10-25 15:08:57 PDT
Created attachment 569517 [details] [diff] [review]
fixes crash from last patch
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 16:29:01 PDT
https://hg.mozilla.org/projects/birch/rev/1f61c869b696

pushed followup
Comment 9 Aaron Train [:aaronmt] 2011-10-26 06:14:35 PDT
Nice!

Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111026 Firefox/10.0a1 Fennec/10.0a1

Note You need to log in before you can comment on or make changes to this bug.